function plot_err_hamiltonian(T, N, n, n_steps, h, q_collection, p_collection, m_collection, mu_collection, I_inv, sigma, eps, M)

% Calculate Hamiltonian function value for each time step
H = hamiltonian(q_collection, p_collection, m_collection, mu_collection, n_steps, n, N, I_inv, sigma, eps, M);

% Initializing the Hamiltonian error variable
err_H = zeros(1, n_steps);

% Calculating the error in the Hamiltonian function
for j = 2:n_steps
    err_H(j) = H(j) - H(1);
end

time = 0:h:h*(n_steps-1);
% Plot the error in the Hamiltonian function
figure
plot(time, err_H)
xlabel('Time')
ylabel('Error in Hamiltonian')

% Plot the relative error in the Hamiltonian function
figure
plot(time, err_H/H(1))
xlabel('Time')
ylabel('Relative error in Hamiltonian')
end

